All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
uhd::transport::managed_recv_buffer Class Referenceabstract

`#include <zero_copy.hpp>`

## Public Types

typedef boost::intrusive_ptr < managed_recv_buffer > | sptr

## Public Member Functions

virtual void | release (void)=0
template<class T >
T | cast (void) const
size_t | size (void) const

## Public Attributes

int | _ref_count

## Detailed Description

A managed receive buffer: Contains a reference to transport-managed memory, and a method to release the memory after reading.

## Member Typedef Documentation

typedef boost::intrusive_ptr<managed_recv_buffer> uhd::transport::managed_recv_buffer::sptr

## Member Function Documentation

template<class T >

T uhd::transport::managed_recv_buffer::cast | ( | void |  | ) | const

inline

Get a pointer to the underlying buffer.

Returns
  a pointer into memory

virtual void uhd::transport::managed_recv_buffer::release | ( | void |  | ) |

pure virtual

Signal to the transport that we are done with the buffer. This should be called to release the buffer to the transport object. After calling, the referenced memory should be considered invalid.

size_t uhd::transport::managed_recv_buffer::size | ( | void |  | ) | const

inline

Get the size of the underlying buffer.

Returns
  the number of bytes

## Member Data Documentation

int uhd::transport::managed_recv_buffer::_ref_count

The documentation for this class was generated from the following file:

- include/uhd/transport/zero_copy.hpp